> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List of webhooks

> List all webhooks configured for a Sendforsign client.

### Body parameters

**data** `object` *required*

**child attribute**

**action** `string` *required*

Action type.

**clientKey** `string` *required*

Key of the client.

### Response

**webhooks** `string`

Array of webhooks.

**child attribute**

**createTime** `string`

Create time.

**changeTime** `string`

Change time.

**url** `string`

Webhook's endpoint.

**secret** `string`

Webhook's secret.

**created** `boolean`

Event to listen: `contract.created`.

**seen** `boolean`

Event to listen: `contract.seen`.

**sent** `boolean`

Event to listen: `contract.sent`.

**approved** `boolean`

Event to listen: `contract.approved`.

**signed** `boolean`

Event to listen: `contract.signed`.

**fullySigned** `boolean`

Event to listen: `contract.fully_signed`.

**code** `string`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/webhook' \ 
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{ 
          "data": {
              "action": "list",
              "clientKey": "YOUR_CLIENT_KEY"
              }
     }'
```

```json Response theme={null}
{
    "webhooks": [
        {
            "createTime": "2024-03-29T20:02:28.000Z",
            "changeTime": "2024-03-29T20:02:28.000Z",
            "url": "URL",
            "secret": "whsec_123",
            "webhookKey": "WEBHOOK_KEY",
            "created": true,
            "seen": true,
            "sent": true,
            "approved": true,
            "signed": true,
            "fullySigned": true
        }
    ],
    "code": "201",
    "message": "Webhooks found"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.